Archive the Reflect extension
Closed, ResolvedPublicRequest

Description

Reason: Obsolete (requires LQT), and has security flaws. Only one wiki using it in WikiApiary, and that wiki is on 1.16.x, so it wouldn't even affect them anyways.

Legoktm created this task.Aug 2 2018, 9:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 9:48 PM
MarcoAurelio added a subscriber: MarcoAurelio.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 2 2018, 10:24 PM
Dinoguy1000 updated the task description. (Show Details)Aug 2 2018, 11:37 PM
MarcoAurelio updated the task description. (Show Details)Aug 3 2018, 9:29 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

Good luck! Maybe in the near future we can also consider archiving LQT.

Change 450431 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450431

Change 450431 merged by MarcoAurelio:
[mediawiki/extensions@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450431

MarcoAurelio updated the task description. (Show Details)Aug 5 2018, 10:02 AM

Change 450435 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450435

MarcoAurelio updated the task description. (Show Details)Aug 5 2018, 10:07 AM

Change 450436 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450436

MarcoAurelio updated the task description. (Show Details)Aug 5 2018, 10:09 AM

Change 450438 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Reflect@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450438

Change 450438 merged by MarcoAurelio:
[mediawiki/extensions/Reflect@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450438

MarcoAurelio updated the task description. (Show Details)Aug 5 2018, 10:16 AM

I can't see any vagrant references, but I am not familiar with that so please doublecheck. I cannot delete GitHub mirrors either. These are the things that remain to do here (and few patches for review at https://gerrit.wikimedia.org/r/#/q/topic:T201107+(status:open+OR+status:merged). Thank you.

MarcoAurelio updated the task description. (Show Details)Aug 5 2018, 11:08 AM

Thank you. Marked as handled above :)

Change 450436 merged by jenkins-bot:
[translatewiki@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450436

Remaining: CI patch and GitHub.

MarcoAurelio updated the task description. (Show Details)Aug 6 2018, 1:49 PM
Krinkle updated the task description. (Show Details)Aug 6 2018, 8:35 PM
MarcoAurelio triaged this task as Normal priority.Aug 6 2018, 9:05 PM
Krinkle updated the task description. (Show Details)Aug 7 2018, 7:53 PM
Krinkle removed a project: Patch-For-Review.
Krinkle closed this task as Resolved.

Change 450435 merged by jenkins-bot:
[integration/config@master] Archive the Reflect extension

https://gerrit.wikimedia.org/r/450435

MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.Aug 7 2018, 7:57 PM